REM This batch file will allow you to make a working instance of qtVlm from one installed copy in another folder.
REM 1. Create the folder wheere you want your qtVlm copy to reside. e.g D:\qtVlm\qt1
REM 2. Edit the line set qtVlmloc=C:\Program Files\qtVlm if your qtVlm is installed somewhere else. Mine is in %qtVlmloc%
REM 3. Edit set polarLoc=%qtVlmloc%polar to point to your polar library if it is different. This should be the same value as 
REM AGL, if AGL does not point to the qtVlm polar library. Mine is "D:\qt\polar"
REM 4. Now copy the edited batch file into C:\qtVlm\qt1 and run it.
REM 5. Now run qtVlm.exe and it should all work. You can also make a sshortcut to qtVlm.exe and copy to your race folder and run it from there.
REM 6. Repeat the steps for the remaining copies you want. eg qt2, qt3, etc
set qtVlmloc=D:\Program Files\qtVlm\
REM set qtVlmloc=D:\qT\qtVlm\
set polarLoc=%qtVlmloc%polar
REM set polarLoc="D:\Program Files\qtVlm\polar\"
del  attdecode.csv
del  concrt140.dll
del  dll_ver.txt
del  dataColors.dat
del  export.xsd
del  icudt54.dll
del  icuin54.dll
del  icuuc54.dll
del  kapCatalog.dat
del  libeay32.dll
del  list.txt
del  msvcp140.dll
del  pcs.csv
del  Qt5Charts.dll
del  Qt5Concurrent.dll
del  Qt5Core.dll
del  Qt5Gui.dll
del  Qt5Multimedia.dll
del  Qt5Network.dll
del  Qt5Positioning.dll
del  Qt5Qml.dll
del  Qt5Quick.dll
del  Qt5QuickWidgets.dll
del  Qt5Sensors.dll
del  Qt5SerialPort.dll
del  Qt5Sql.dll
del  Qt5Widgets.dll
del  Qt5Xml.dll
del  Qt5XmlPatterns.dll
del  qtVlm.exe
del  s57.data
del  s57attributes.csv
del  s57expectedinput.csv
del  s57MarinerOptions.dat
del  s57objectclasses.csv
REM del  ssleay32.dll
del  vccorlib140.dll
del  vcruntime140.dll
del  libcrypto-1_1-x64.dll
del  libssl-1_1-x64.dll
del  Qt5Bluetooth.dll
del  Qt5Svg.dll
del Qt5WebEngine.dll
del Qt5WebEngineCore.dll
del Qt5WebEngineWidgets.dll
del QtWebEngineProcess.exe
del qwebengine_convert_dict.exe
del Qt5PrintSupport.dll
del Qt5Qml.dll
del Qt5QmlModels.dll
del Qt5WebChannel.dll
del Qt5DataVisualization.dll
del libexpat.dll
del sqlite3.dll
mklink /H attdecode.csv "%qtVlmloc%attdecode.csv"
mklink /J cache "%qtVlmloc%cache"
mklink /H concrt140.dll "%qtVlmloc%concrt140.dll"
mklink /H dataColors.dat "%qtVlmloc%dataColors.dat"
mklink /H dll_ver.txt "%qtVlmloc%dll_ver.txt"
mklink /H export.xsd "%qtVlmloc%export.xsd"
mklink /J grib "%qtVlmloc%grib"
mklink /J hdx "%qtVlmloc%hdx"
mklink /J icon "%qtVlmloc%icon"
mklink /H icudt54.dll "%qtVlmloc%icudt54.dll"
mklink /H icuin54.dll "%qtVlmloc%icuin54.dll"
mklink /H icuuc54.dll "%qtVlmloc%icuuc54.dll"
mklink /J imageformats "%qtVlmloc%imageformats"
mklink /J img "%qtVlmloc%img"
mklink /H kapCatalog.dat "%qtVlmloc%kapCatalog.dat"
mklink /J kaps "%qtVlmloc%kaps"
mklink /H libeay32.dll "%qtVlmloc%libeay32.dll"
mklink /H list.txt "%qtVlmloc%list.txt"
mklink /J maps "%qtVlmloc%maps"
mklink /J mbTiles "%qtVlmloc%mbTiles"
mklink /J mediaservice "%qtVlmloc%mediaservice"
mklink /H msvcp140.dll "%qtVlmloc%msvcp140.dll"
mklink /H pcs.csv "%qtVlmloc%pcs.csv"
mklink /J platforms "%qtVlmloc%platforms"
mklink /J polar "%polarLoc%"
mklink /J position "%qtVlmloc%position"
mklink /H Qt5Charts.dll "%qtVlmloc%Qt5Charts.dll"
mklink /H Qt5Concurrent.dll "%qtVlmloc%Qt5Concurrent.dll"
mklink /H Qt5Core.dll "%qtVlmloc%Qt5Core.dll"
mklink /H Qt5Gui.dll "%qtVlmloc%Qt5Gui.dll"
mklink /H Qt5Multimedia.dll "%qtVlmloc%Qt5Multimedia.dll"
mklink /H Qt5Network.dll "%qtVlmloc%Qt5Network.dll"
mklink /H Qt5Positioning.dll "%qtVlmloc%Qt5Positioning.dll"
mklink /H Qt5Qml.dll "%qtVlmloc%Qt5Qml.dll"
mklink /H Qt5Quick.dll "%qtVlmloc%Qt5Quick.dll"
mklink /H Qt5QuickWidgets.dll "%qtVlmloc%Qt5QuickWidgets.dll"
mklink /H Qt5Sensors.dll "%qtVlmloc%Qt5Sensors.dll"
mklink /H Qt5SerialPort.dll "%qtVlmloc%Qt5SerialPort.dll"
mklink /H Qt5Sql.dll "%qtVlmloc%Qt5Sql.dll"
mklink /H Qt5Widgets.dll "%qtVlmloc%Qt5Widgets.dll"
mklink /H Qt5Xml.dll "%qtVlmloc%Qt5Xml.dll"
mklink /H Qt5XmlPatterns.dll "%qtVlmloc%Qt5XmlPatterns.dll"
mklink /H qtVlm.exe "%qtVlmloc%qtVlm.exe"
mklink /H qtVlm.ini "%qtVlmloc%qtVlm.ini"
mklink /J receivedImages "%qtVlmloc%receivedImages"
mklink /H s57.data "%qtVlmloc%s57.data"
mklink /H s57attributes.csv "%qtVlmloc%s57attributes.csv"
mklink /J s57Cache "%qtVlmloc%s57Cache"
mklink /H s57expectedinput.csv "%qtVlmloc%s57expectedinput.csv"
mklink /H s57MarinerOptions.dat "%qtVlmloc%s57MarinerOptions.dat"
mklink /H s57objectclasses.csv "%qtVlmloc%s57objectclasses.csv"
mklink /J sensors "%qtVlmloc%sensors"
mklink /J sqldrivers "%qtVlmloc%sqldrivers"
mklink /H ssleay32.dll "%qtVlmloc%ssleay32.dll"
mklink /J tr "%qtVlmloc%tr"
REM mklink /J tracks "%qtVlmloc%tracks"
mklink /H vccorlib140.dll "%qtVlmloc%vccorlib140.dll"
mklink /H vcruntime140.dll "%qtVlmloc%vcruntime140.dll"
mklink /J vectors "%qtVlmloc%vectors"
mklink /H libcrypto-1_1-x64.dll "%qtVlmloc%libcrypto-1_1-x64.dll"
mklink /H libssl-1_1-x64.dll "%qtVlmloc%libssl-1_1-x64.dll"
mklink /H Qt5Bluetooth.dll "%qtVlmloc%Qt5Bluetooth.dll"
mklink /H Qt5Svg.dll "%qtVlmloc%Qt5Svg.dll"
mklink /J S63 "%qtVlmloc%S63"
mklink /J SHOM_open_data "%qtVlmloc%SHOM_open_data"
mklink /H qwebengine_convert_dict.exe "%qtVlmloc%qwebengine_convert_dict.exe"
mklink /H QtWebEngineProcess.exe "%qtVlmloc%QtWebEngineProcess.exe"
mklink /H Qt5WebEngineWidgets.dll "%qtVlmloc%Qt5WebEngineWidgets.dll"
mklink /H Qt5WebEngineCore.dll "%qtVlmloc%Qt5WebEngineCore.dll"
mklink /H Qt5PrintSupport.dll "%qtVlmloc%Qt5PrintSupport.dll"
mklink /H Qt5Qml.dll "%qtVlmloc%Qt5Qml.dll"
mklink /H Qt5WebChannel.dll "%qtVlmloc%Qt5WebChannel.dll"
mklink /H Qt5DataVisualization.dll "%qtVlmloc%Qt5DataVisualization.dll"
mklink /H Qt5WebChannel.dll "%qtVlmloc%Qt5WebChannel.dll"
mklink /H Qt5QmlModels.dll "%qtVlmloc%Qt5QmlModels.dll"
mklink /H sqlite3.dll "%qtVlmloc%sqlite3.dll"
mklink /H libexpat.dll "%qtVlmloc%libexpat.dll"

pause
